Subject: [clisp-list] Staticaly linking clisp and FFIs

From: "Hoehle, Joerg-Cyril" <[email-masked]>
Date: Tue Sep 16 01:42:03 2003

Hi,

>I am trying to do a staticly linked version of clisp. Has 
>anyone ever tried this?
>If so, is there any kind of hint out there?

I haven't, but in the past I very much prefered to statically link only some of the libraries, and especially link dynamically against libc and other "OS-level" libraries.

Statically linking Motif libraries has saved my applications a few times. There were lots of slightly incompatible Motifs out there.

Statically linking libc or libucb or some such on Sun has killed my applications on various machines with other OS or configurations (e.g. libresolv, e.g. no more DNS name resolution).

Statically linking application-level libraries (let's say, libreadline, although I never used that) also helped with distributing the application reliably.

But that all happened a couple of years ago.
Back then, the gcc linker had trouble with such mixed linking styles, and I used's Sun's linker. That's really old.

Regards,
	Jorg Hohle.